CMakeCCompilerId.c File Reference

Go to the source code of this file.

## Macros

#define | COMPILER_ID ""
#define | PLATFORM_ID ""
#define | ARCHITECTURE_ID ""
#define | DEC(n)
#define | HEX(n)

## Functions

int | main (int argc, char *argv[])

## Variables

char const * | info_compiler = "INFO" ":" "compiler[" COMPILER_ID "]"
char const * | info_platform = "INFO" ":" "platform[" PLATFORM_ID "]"
char const * | info_arch = "INFO" ":" "arch[" ARCHITECTURE_ID "]"

## Macro Definition Documentation

#define ARCHITECTURE_ID ""

Definition at line 320 of file CMakeCCompilerId.c.

#define COMPILER_ID ""

Definition at line 200 of file CMakeCCompilerId.c.

#define DEC | ( |  | n | ) |

Value:
('0' + (((n) / 10000000)%10)), \
('0' + (((n) / 1000000)%10)), \
('0' + (((n) / 100000)%10)), \
('0' + (((n) / 10000)%10)), \
('0' + (((n) / 1000)%10)), \
('0' + (((n) / 100)%10)), \
('0' + (((n) / 10)%10)), \
('0' + ((n) % 10))

Definition at line 324 of file CMakeCCompilerId.c.

#define HEX | ( |  | n | ) |

Value:
('0' + ((n)>>28 & 0xF)), \
('0' + ((n)>>24 & 0xF)), \
('0' + ((n)>>20 & 0xF)), \
('0' + ((n)>>16 & 0xF)), \
('0' + ((n)>>12 & 0xF)), \
('0' + ((n)>>8 & 0xF)), \
('0' + ((n)>>4 & 0xF)), \
('0' + ((n) & 0xF))

Definition at line 335 of file CMakeCCompilerId.c.

#define PLATFORM_ID ""

Definition at line 287 of file CMakeCCompilerId.c.

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 377 of file CMakeCCompilerId.c.

References info_arch, info_compiler, and info_platform.

## Variable Documentation

char const* info_arch = "INFO" ":" "arch[" ARCHITECTURE_ID "]"

Definition at line 368 of file CMakeCCompilerId.c.

char const* info_compiler = "INFO" ":" "compiler[" COMPILER_ID "]"

Definition at line 208 of file CMakeCCompilerId.c.

char const* info_platform = "INFO" ":" "platform[" PLATFORM_ID "]"

Definition at line 367 of file CMakeCCompilerId.c.